--- old/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	2015-08-19 07:25:03.731712004 -0400
+++ new/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	2015-08-19 07:25:03.738126218 -0400
@@ -4059,7 +4059,7 @@
 
 					if (!i_ddi_devi_attached(cdip)) {
 						mutex_exit(&plun->lun_mutex);
-						delay(drv_usectohz(1000000));
+						delay(drv_sectohz(1));
 						mutex_enter(&plun->lun_mutex);
 					} else {
 						/*
@@ -4430,7 +4430,7 @@
 
 		while (pptr->port_ipkt_cnt) {
 			mutex_exit(&pptr->port_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&pptr->port_mutex);
 		}
 
@@ -4784,7 +4784,7 @@
 					    fcp_outstanding_lun_cmds(ptgt)
 					    == FC_SUCCESS) {
 						mutex_exit(&ptgt->tgt_mutex);
-						delay(drv_usectohz(1000000));
+						delay(drv_sectohz(1));
 						mutex_enter(&ptgt->tgt_mutex);
 					}
 					mutex_exit(&ptgt->tgt_mutex);
@@ -10007,8 +10007,7 @@
 	soft_state_linked++;
 
 	if (fcp_watchdog_init++ == 0) {
-		fcp_watchdog_tick = fcp_watchdog_timeout *
-		    drv_usectohz(1000000);
+		fcp_watchdog_tick = drv_sectohz(fcp_watchdog_timeout);
 		fcp_watchdog_id = timeout(fcp_watch, NULL,
 		    fcp_watchdog_tick);
 	}
@@ -10298,7 +10297,7 @@
 			break;
 		}
 		mutex_exit(&pptr->port_mutex);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&pptr->port_mutex);
 	}
 
@@ -12212,8 +12211,7 @@
 
 	mutex_enter(&fcp_global_mutex);
 	if (fcp_watchdog_init++ == 0) {
-		fcp_watchdog_tick = fcp_watchdog_timeout *
-		    drv_usectohz(1000000);
+		fcp_watchdog_tick = drv_sectohz(fcp_watchdog_timeout);
 		fcp_watchdog_id = timeout(fcp_watch,
 		    NULL, fcp_watchdog_tick);
 	}
